Author: Karsten Dambekalns Category: Services
Subject: Nodes are published twice, leading to errors
Description

The publishing mechanism is publishing the same node twice which causes the node to be in the live workspace already on the
second try.

This causes a 'Response: null' on the ExtJS requests because of the Workspace object to call the getName() method of it's
baseWorkspace. This is not possible in the live workspace as it has no baseWorkspace.

Associated revisions
Revision bf9d863a - 2012-05-10 15:45 - Rens Admiraal

[BUGFIX] Quick fix to prevent live nodes to be published

The publishing mechanism is publishing the same node twice which causes
the node to be in the live workspace already on the second try. This
causes a 'Response: null' on the ExtJS requests because of the Workspace
object to call the getName() method of it's baseWorkspace. This is not
possible in the live workspace as it has no baseWorkspace.

Fixing the actual underlying problem in the node publishing must
still be done, see #37072

Change-Id: I52e1b5d06bdfa5619b48359255923fb35638f0b9
Related: #37072

History
#1 - 2012-05-10 15:45 - Karsten Dambekalns
- Status changed from Under Review to Accepted

#2 - 2012-05-10 15:46 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See quickfix at https://review.typo3.org/10338

#3 - 2012-05-21 13:35 - Aske Ertmann
- Status changed from Under Review to Accepted

#4 - 2014-10-02 11:18 - Sebastian Helzle
- Status changed from Accepted to Closed

2015-08-03 1/2

https://review.typo3.org/10338


Could not be reproduced in Version 1.1.
If this is still an issue for you open a new ticket at https://jira.typo3.org/
